---
title: Onboarding
slug: v00/onboarding
description: Learn how to onboard a validator with this step-by-step guide. Check the status of your validator by monitoring CPU cores activity and current slot. Run essential scripts to stay synchronized with the blockchain. Find your validator ID pubkey, vote accoun
docTags: 
createdAt: 2023-08-31T23:37:22.217Z
---

# Onboarding Process

**Follow All the steps on this page to verify you are ready to onboard your validator!**

:::hint{type="info"}
1. **After you have the validator running for at least 1 hour,** please follow steps 2-6 to ensure you are ready to onboard and start validating transactions!
2. Check `htop` to see if your cpu cores are active (meaning validator is running)
3. Check the current slot `solana slot`
4. Run your `mon.sh` script and verify you are above the slot listed in 2
5. Run `catchup.sh` script to verify you are staying in pace with the blockchain...ie `0 slot(s) behind (us:12345 them:12345)` and watch for 5 minutes
6. Grab the needed info below and submit onboarding form with your IP address, hostname, Validator ID, and Vote ID using the button below.
:::

:::hint{type="warning"}
Use `xand` user
:::



Find your Validator ID Pubkey

:::CodeblockTabs
CLI

```linux
solana-keygen pubkey ~/validator-keypair.json
```
:::

Find your Vote Account Pubkey

:::CodeblockTabs
CLI

```linux
solana-keygen pubkey ~/vote-keypair.json
```
:::

Find your Public IP Address with a suitable method, here are two:

:::CodeblockTabs
dig

```linux
dig +short myip.opendns.com @resolver1.opendns.com
```

curl

```linux
curl https://ipinfo.io/ip/
```
:::

Find your hostname

:::CodeblockTabs
CLI

```linux
hostname
```
:::

::::hint{type="success"}
:::CtaButton{label="Submit Onboarding Details" externalHref="https://xand-devnet-onbrd.paperform.co" openInNewTab="true"}

:::

**Please take a moment to grab your Public IP address, hostname, Validator Pubkey and Vote Pubkey. Submit to Labs using this form! Please consider allowing us to whitelist your IP address for hardware monitoring (setup later in&#x20;**[Zabbix Installation](docId:4dYSSBBrKwhvRIiwggF9g)**) by answering yes to the last question on the form.**
::::


Check out more [Validator Commands](docId\:fPMkHN4siZKWUfuZufTRz)
